// @import '../styles.scss';
// @import '../responsive/responsive.scss';

:root {
    --primary-color: #335eea;
    --nav-link-color: #506690;
    --list-border-color: #f1f4f8;
    --grey-color: #869ab8;
    --soft-blue-color: rgba(51, 94, 234, .1);
    --green-color: #42ba96;
    --grey-bg: #F1F4F8;
    --toggle-bg-color: #D9E2EF;
    --blue-color: #1b2a4e;
}

@font-face {
    font-family: HKGroteskPro-M;
    /* đặt tên font */
    src: url('../../font/HKGroteskPro-Medium.woff2');
    /* tải font chữ */
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html,
body {
    width: 100%;
    height: 100vh;
    // font-family: "HKGroteskPro", sans-serif;
    font-family: "HKGroteskPro-M", serif;

}

@mixin btnPrimary {
    color: #FFF;
    background-color: var(--primary-color);
    padding: 15px 20px;
    transition-property: all;
    transition-duration: .2s;

    &:hover {

        box-shadow: 0 1rem 2.5rem rgba(22, 28, 45, .1), 0 .5rem 1rem -.75rem rgba(22, 28, 45, .1) !important;
        transform: translateY(-4px);
        background-color: #2b4fc2;

    }
}

@mixin documentItem {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 0;
    flex-wrap: nowrap;
    border-bottom: 1px solid var(--list-border-color);
    cursor: pointer;



    .document-item__leftside {
        display: flex;
        align-items: center;

        .document-svg {
            width: 36px;
            height: 36px;
        }

        .document-item__text-wrap {
            display: flex;
            flex-direction: column;
            margin-left: 16px;

            .document__text-title {
                font-size: 14px;
                text-transform: uppercase;
                padding-bottom: 6px;
            }

            .document__text-desc {
                color: var(--nav-link-color);
                font-size: 15px;
            }
        }
    }
}

// responsive
@mixin headerMobile {
    .pc {
        display: none;
    }

    .mobile-menu {
        display: block;
        cursor: pointer;

        .header-menu-icon {
            font-size: 28.5px;
            color: var(--nav-link-color);
        }

        .checkbox-modal {
            width: 24px;
            height: 24px;
            position: absolute;
            transform: translateX(-100%);
            opacity: 0;
            cursor: pointer;

            &:checked~.modal-menu {
                visibility: visible;
            }
        }

        .modal-menu {
            // display: none;
            visibility: hidden;
            z-index: 100;
            box-shadow: 0 1.5rem 4rem rgba(22, 28, 45, .15);
            position: fixed;
            left: 17px;
            right: 17px;
            top: 17px;
            bottom: 17px;
            overflow-x: hidden;
            overflow-y: scroll;
            opacity: 0;
            transition-property: all;
            transition-duration: .3s;
            transform: scale(0.7) translate(100%, -30%);

            .navbar-container {
                background-color: #FFF;
                // background-color: red;
                width: 100%;

                .navbar-exit {
                    z-index: 1000;
                    position: absolute;
                    right: 12px;
                    top: 24px;
                    padding: 4px 12px;
                    font-size: 19px;
                    cursor: pointer;
                    color: var(--nav-link-color);
                }

                .navbar-nav {

                    .navbar-item {
                        cursor: default;
                        padding: 24px;
                        border-bottom: 1px solid var(--list-border-color);

                        .navbar-item__head {
                            color: var(--nav-link-color);
                            margin-bottom: 24px;
                            font-weight: 500;
                            font-size: 18px;
                        }

                        .navbar-list-gap {
                            display: flex;
                            flex-direction: column;
                            gap: 24px;
                        }

                        .navbar-list {
                            display: flex;
                            flex-direction: column;
                            gap: 12px;

                            .navbar-title {
                                @include navbarTitleStyle()
                            }

                            .navbar-text {
                                @include navbarTextStyle()
                            }
                        }


                        .dropdown-item-wrap {
                            color: var(--nav-link-color);
                            padding: 6px 0;

                            .account-dropdown-checkbox {
                                position: absolute;
                                width: auto;
                                display: inline;
                                z-index: 1;
                                opacity: 0;
                                width: 100%;
                                height: 28px;
                                cursor: pointer;


                                &:checked~.account-menu__list {
                                    display: block !important;
                                }

                                &:checked~.wrap>.dropdown-menu--mobile-icon {
                                    transform: rotate(180deg);
                                }
                            }

                            span {
                                @include navbarTextStyle()
                            }

                            .dropdown-menu--mobile-icon {
                                font-size: 18px;
                            }

                        }

                        .account-menu__list {
                            display: none;
                            padding: 16px 0;
                            padding-left: 8px;

                            .account-menu__item {
                                padding: 6px 0px;
                                @include navbarTextStyle()
                            }
                        }

                        .list-group-item {

                            .document__item {
                                @include documentItem();

                                &:last-child {
                                    border-bottom: none;
                                    padding-bottom: 0;
                                }

                                .document-item__rightside {
                                    background-color: rgba(51, 94, 234, .1);
                                    color: var(--primary-color);
                                    padding: 4px 12px;
                                    font-size: 11.25px;
                                    border-radius: 30px;
                                }

                            }
                        }

                    }

                    .buy-mobile-btn {

                        @include btnPrimary();
                        text-align: center;
                        border-top-left-radius: 0;
                        border-top-right-radius: 0;
                        z-index: 10;
                        width: 100%;
                        position: absolute;
                    }
                }
            }
        }
    }
}

@mixin navbarTitleStyle {
    text-transform: uppercase;
    font-size: 13px;
    color: var(--primary-color);
    line-height: 20px;
}

@mixin navbarTextStyle {
    font-size: 15px;
    color: var(--nav-link-color);
    cursor: pointer;
    font-weight: 200;
    letter-spacing: .3px;

    &:hover {
        color: var(--primary-color);
    }
}

@mixin flexContainerMobile {
    flex-direction: column;
    align-items: center;
    gap: 32px;
}

// style

@mixin dropDownAnimation {
    visibility: hidden;
    opacity: 0;
    transition-property: all;
    transition-duration: .2s;
}

@mixin flexReverseForResponsive {
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    align-items: center;

    @media (max-width: 768px) {
        flex-direction: column;
        align-items: center;
        gap: 32px;
    }
}

@mixin headerSession {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    margin-bottom: 16px;
    max-width: 700px;
    margin: 0 auto;
    margin-bottom: 64px;

    .header-title-tab {
        color: #161c2d;
        font-size: 31px;
        margin-bottom: 16px;
        font-weight: 200;
    }

    .header-desc-tab {
        @include sessionDesc();
        text-align: center;
    }

    @media (max-width: 992px) {
        .header-title-tab {
            font-size: 23px !important;
            line-height: 30px;
            letter-spacing: .1px;
        }

    }


}


@mixin sessionTitle {
    font-size: 31px;
    line-height: 40px;
    color: #161c2d;
    font-weight: 100;
    margin-bottom: 16px;
    letter-spacing: .5px;
    max-width: 420px;

    @media (min-width: 769px) and (max-width: 992px) {
        font-size: 23px !important;
        line-height: 30px;
        letter-spacing: .1px;
    }

    @media (max-width: 768px) {
        font-size: 23px !important;
        line-height: 30px;
        letter-spacing: .1px;
    }

}

@mixin sessionDesc {
    color: var(--grey-color);
    font-size: 19px;
    line-height: 30px;
    letter-spacing: .3px;
    margin-bottom: 32px;
}

.showModal {
    transform: scale(1) translate(0, 0) !important;
    opacity: 1 !important;

}

.check-modal:checked~.modal-menu {
    visibility: visible;
}

.hidden {
    visibility: hidden !important;
}

.text-blue {
    color: var(--primary-color);
}



.btn {
    padding: 9px 16px;
    font-size: 17px;
    color: #FFF;
    cursor: pointer;
    border-radius: 6px;
}


.btn-hover {
    transition-property: all;
    transition-duration: .3s;

    &:hover {
        box-shadow: 0 1rem 2.5rem rgba(22, 28, 45, .1), 0 .5rem 1rem -.75rem rgba(22, 28, 45, .1) !important;
        transform: translateY(-6px) !important;
    }
}

.badge {
    background-color: rgba(51, 94, 234, 0.1);
    color: var(--primary-color);
    padding: 4px 12px;
    font-size: 11.25px;
    border-radius: 30px;
}

.wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;

}

// custom toggle btn
.switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 22px;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    transition-duration: .4s;
    border-radius: 34px;
    background-color: var(--toggle-bg-color);
}

.switch input {
    display: none;
}

.slider::before {
    position: absolute;
    content: "";
    height: 17px;
    width: 17px;
    left: 4px;
    top: 2.5px;
    background-color: #FFF;
    transition: .4s;
    border-radius: 50px;
}

input:checked+.slider {
    background-color: #2b4fc2;

}

input:checked+.slider::before {
    transform: translateX(80%);
}


.errorMsg {
    color: red;
    font-size: 16px;
    margin: 10px 0 5px;
}